LFR-FSW - Bug #317

données cross-corrélation ASM erronées ?
29/01/2015 02:24 PM - thomas chust

Status: Closed Start date: 29/01/2015
Priority: Urgent Due date:

Assignee: paul leroy % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Vérification faite avec des signaux sinusoidaux sur B1 et B2, il semblerait que les termes croisés (ASM_F0_1 & ASM_FO0_2) des
matrices ASM_FO0 soient n'importe quoi. Alors que les terme diagonaux semblent correctes (ASM_F0_0 & ASM_F0_9).

configuration:
LFR4

FSW :2.0.2.1 en cours de développement
VHDL :0.1.38

SGSE :2.0.0.17?

SocExplorer: 0.2.2 ?

donnees:

MODE = NORMAL

NM: NW=2048, SWF_P=300, ASM_P=4, BP_P0=4, BP_P1=20, LONG_F3=0
sinusoidal signals with 1.0 Vpp on B1 & 2.0 Vpp on B2

f=3072Hz et phi=90°

BW=1, R0=0, R1=0, SP0=0, SP1=0

=>2015_1_15-18_46_34_packet_record

History

#1 - 29/01/2015 02:25 PM - thomas chust

- Priority changed from Normal to Urgent

#2 - 05/02/2015 09:12 AM - paul leroy

- Status changed from New to In Progress

Modifications effectuées dans le soft pour compenser une erreur dans le VHDL.

Le n'importe quoi est devenu presque nominal, reste le probléme du bruit fluctuant et de la position des raies de cross corrélation. Cela requiére la
production d'un testbench pour valider définitivement le calcul des matrices spectrales.

#3 - 07/04/2015 03:53 PM - paul leroy
- Status changed from In Progress to Resolved

- Assignee changed from paul leroy to thomas chust

Retester dans VHDL >= x.1.68 et FSW >=2.0.2.3

#4 - 07/04/2015 04:25 PM - thomas chust

- File calibration_asm_swf _cross3_2015_03 24 ctc-004.png added

- File calibration_asm_swf _cross3 _2015_03 25 ctc-007.png added

- File calibration_swf cross_2015_03 25 ctc-007-2015_03 24 ctc-004.png added
- Status changed from Resolved to Closed

- Assignee changed from thomas chust to paul leroy

- % Done changed from 0 to 100

Les derniers tests effectués a ce jour permettent de déterminer la phase d'un signal sinusoidal injecté a 0.1° pres, sur toute la plage de fréquence de
LFR. Ci-joint trois figures illustrant cela.
